config() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
        mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
        rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.ntop.new
config etc/logrotate.d/ntop.new
config etc/ntop/specialMAC.txt.gz.new
config etc/ntop/ntop-cert.pem.new
config etc/ntop/GeoIPASNum.dat.new
config etc/ntop/GeoLiteCity.dat.new
config etc/ntop/etter.finger.os.gz.new
config etc/ntop/oui.txt.gz.new
( cd usr/lib64 ; rm -rf libnetflowPlugin.so )
( cd usr/lib64 ; ln -sf libnetflowPlugin-4.1.0.so libnetflowPlugin.so )
( cd usr/lib64 ; rm -rf libicmpPlugin.so )
( cd usr/lib64 ; ln -sf libicmpPlugin-4.1.0.so libicmpPlugin.so )
( cd usr/lib64 ; rm -rf libntopreport.so )
( cd usr/lib64 ; ln -sf libntopreport-4.1.0.so libntopreport.so )
( cd usr/lib64 ; rm -rf libntop.so )
( cd usr/lib64 ; ln -sf libntop-4.1.0.so libntop.so )
( cd usr/lib64 ; rm -rf libsflowPlugin.so )
( cd usr/lib64 ; ln -sf libsflowPlugin-4.1.0.so libsflowPlugin.so )
( cd usr/lib64 ; rm -rf libcpacketPlugin.so )
( cd usr/lib64 ; ln -sf libcpacketPlugin-4.1.0.so libcpacketPlugin.so )
( cd usr/lib64 ; rm -rf librrdPlugin.so )
( cd usr/lib64 ; ln -sf librrdPlugin-4.1.0.so librrdPlugin.so )
